package dwmini

import (
	"fmt"
	"io"
	"net/http"
	"strings"
)

func HttpPost(url, postData, token string) ([]byte, error) {
	body := io.NopCloser(strings.NewReader(postData))
	client := &http.Client{}
	req, err := http.NewRequest("POST", url, body)
	if err != nil {
		return nil, err
	}
	req.Header.Add("Authorization", token)
	req.Header.Set("Content-Type", "application/json")
	resp, err := client.Do(req)
	defer resp.Body.Close()
	b, err := io.ReadAll(resp.Body)
	fmt.Println("HttpGet:" + string(b))
	return b, err

}
